"use strict";

const createDatasheet = require("../../shared/create-datasheet");

module.exports = function farnellNormalizeProduct() {
	return async function (api) {
		let { data } = api;

		createDatasheet(api, {
			priority: 0.65,
			source: "farnell",
			manufacturer: data.itemData.manufacturer,
			productID: data.itemData.productID,
			name: data.itemData.model,
			description: data.itemData.description,
			url: data.itemData.datasheetURL,
			// Farnell also shows manufacturer names in ALL-CAPS
			fixCasing: true
		});
	};
};
